at.chipkarte.client.ebs.soap

## Class Verstaendigung

- Object
- - at.chipkarte.client.ebs.soap.Verstaendigung

-     public class Verstaendigung
      extends Object

  Dient der Ein- und Ausgabe der Patienten Verständigung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verstaendigung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEmail()` E-Mail-Adresse.
    `String` | `getPatientverstaendigung()` Kennzeichnung ob der Patient eine Verständigung per Telefon oder Email erhalten will.
    `String` | `getTelefon()` Telefonnummer.
    `void` | `setEmail(String email)`
    `void` | `setPatientverstaendigung(String patientverstaendigung)`
    `void` | `setTelefon(String telefon)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Verstaendigung

          public Verstaendigung()

  - ### Method Detail

    - #### getEmail

          public String getEmail()

      E-Mail-Adresse.
      Angabe: Bedingt. Entweder Mail oder Telefon muss angegeben werden wenn patientverstaendigung mit Ja angegeben wurde und der Antrag für eine SV-Person erfasst wird. Mail muss angegeben werden wenn patientenverstaendigung mit Ja angegeben wurde und der Antrag für eine EKVK-Person erfasst wird.
      Format: 3 bis 256-stellig.
      Wertebereich: Mindestens 1 Zeichen das kein @ ist, gefolgt von einem @ und gefolgt von mindestens 1 Zeichen das kein @ ist.
      Returns:
        Email.

    - #### setEmail

          public void setEmail(String email)

    - #### getTelefon

          public String getTelefon()

      Telefonnummer.
      Angabe: Bedingt. Entweder Mail oder Telefon muss angegeben werden wenn patientverstaendigung mit Ja angegeben wurde und der Antrag für eine SV-Person erfasst wird. Telefonnummer darf nicht angegeben werden wenn der Antrag für eine EKVK-Person erfasst wird.
      Format: Mindestens 9-stellig bis maximal 30-stellig
      Weitere Formatvorgabe: Wenn die Telefonnummer mit 0043 oder +43 anfängt, dann wird dies entfernt. Dann werden Führende 0 sowie die Zeichen /, - und Leerzeichen (die zur Strukturierung erlaubt sind) entfernt. Dann wird der Ländercode 43 am Beginn hinzugefügt. Die daraus resultiertende Telefonnummer darf maximal 15 Zeichen lang sein.
      Wertebereich: erlaubte Zeichen: 0-9, /, -, +, \, (, ) und Leerzeichen.
      Weiterer Wertebereich: Falls die erste Stelle ein "+" ist müssen die nächsten beiden Stellen "43" sein. Falls die ersten beiden Stellen "00" sind, müssen die nächsten beiden Stellen "43" sein.
      Returns:
        Telefon.

    - #### setTelefon

          public void setTelefon(String telefon)

    - #### getPatientverstaendigung

          public String getPatientverstaendigung()

      Kennzeichnung ob der Patient eine Verständigung per Telefon oder Email erhalten will.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Muss.
      Returns:
        Patientverstaendigung.

    - #### setPatientverstaendigung

          public void setPatientverstaendigung(String patientverstaendigung)